Summary: Audio effects processing rack for guitar
Name:    rakarrack
Version: 0.5.8
Release: 2%{?dist}
License: GPLv2
Group:   Applications/Multimedia
URL:     http://%{name}.sourceforge.net/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}_Equinox.tar.bz2
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires: hicolor-icon-theme

# mod of doc dir in configure.in requires autoconf/automake
BuildRequires: automake
# not required (https://fedoraproject.org/wiki/Packaging:Guidelines#Exceptions_2)
# BuildRequires: gcc-c++ # just a reminder
BuildRequires: jack-audio-connection-kit-devel alsa-lib-devel alsa-utils
BuildRequires: libsndfile-devel
BuildRequires: libsamplerate-devel
BuildRequires: fltk-devel
BuildRequires: libXpm-devel libpng-devel libjpeg-devel
BuildRequires: fftw-devel
BuildRequires: desktop-file-utils

%description
Rakarrack is a basic rack of effects for guitar. 10 effects. Two EQ
(multiband and parametric), distortion, overdrive, echo, chorus,
flanger, phaser, compression and reverb. Real time processing. JACK
support. Online tuner. Bank & Preset management.

Most of the effects are based on the magnificent work done by Paul
Nasca Octavian in ZynAddSubFX synthesizer. The compressor is based on
ArtsCompressor of Matthias Kretzer & Stefen Westerfeld. The tuner was
adapted from tuneit, a tuner in text mode created by Mario Lang. Paul
Nasca is our hero and a continuous inspiration


%prep
%setup -q -n %{name}-%{version}_Equinox

%{__sed} -i 's/Icon=icono_rakarrack_128x128/Icon=rakarrack/' data/%{name}.desktop
%{__sed} -i 's/Guitar Effects Processor/Real-time audio effects processing rack for guitar/' data/%{name}.desktop
echo "GenericName=Digital audio effects processor" >> data/%{name}.desktop
echo "Version=1.0" >> data/%{name}.desktop


%build
%configure --enable-docdir=yes --docdir=%{_docdir}/%{name}-%{version}

# if DFortifySOurce is not passed to compile, try del smp_mflags
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

# move extra install of docs to build directory to let rpm install it in
#     the right place
%{__mv} %{buildroot}%{_docdir}/%{name}-%{version}/html .
%{__mv} %{buildroot}%{_docdir}/%{name}-%{version}/COPYING .
%{__rm} -rf %{buildroot}%{_datadir}/doc/rakarrack

# move icons to the proper freedesktop location
for dim in 32x32 64x64 128x128; do
  %{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/$dim/apps
  %{__mv} %{buildroot}%{_datadir}/pixmaps/icono_%{name}_$dim.png \
      %{buildroot}%{_datadir}/icons/hicolor/$dim/apps/%{name}.png
done

# extra desktop file categories are allowed if prepended with X-
BASE="X-Fedora AudioVideo"
XTRA="X-DigitalProcessing X-Jack"
MIXER="Mixer"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor "" \
  `for c in ${BASE} ${XTRA} ${MIXER}; do echo "--add-category $c " ; done` \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/rakarrack.desktop


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS README html COPYING
%{_bindir}/%{name}
%{_bindir}/rakconvert
%{_bindir}/rakgit2new
%{_bindir}/rakverb
%{_bindir}/rakverb2
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Jun 23 2010 David Timms <iinet.net.au @ dtimms> - 0.5.8-2
- add new --enable-docdir to configure
- del old method used to use standard doc directories

* Wed Jun 23 2010 David Timms <iinet.net.au @ dtimms> - 0.5.8-1
- update to 0.5.8 "Equinox" with many new features.

* Tue Jun 22 2010 David Timms <iinet.net.au @ dtimms> - 0.4.2-2.1
- remove obsolete patches
- add below patch to the tag

* Sat Apr  4 2010 David Timms <iinet.net.au @ dtimms> - 0.4.2-2
- add patch to explicitly link to libX11 as ld changes now require

* Sat Feb 27 2010 David Timms <iinet.net.au @ dtimms> - 0.4.2-1
- update to 0.4.2
- del upstreamed rakarrack-ChN-buffer-oveflow-fix.diff

* Sun Jan  8 2010 David Timms <iinet.net.au @ dtimms> - 0.3.0-5
- add patch for buffer overflow captured by fedora compile flags
- add BR fftw-devel so that new upstream configure.in will build
- fix being built without proper fedora flags and
      being built with empty debuginfo using patch to current
      upstream configure.in
- add BR automake so that adjusts to configure.in to fix Help|
      Help Contents,License pointing to non-versioned .../doc/ dir succeed
- move edit of configure.in to prep

* Wed Sep 23 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.3.0-4
- Update desktop file according to F-12 FedoraStudio feature
- Update scriptlets

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb  9 2009 David Timms <iinet.net.au @ dtimms> - 0.3.0-1
- update to upstream release

* Thu Oct 16 2008 David Timms <iinet.net.au @ dtimms> - 0.2.0-5
- del debug cruft left in the spec while trying to solve issues

* Tue Oct 14 2008 David Timms <iinet.net.au @ dtimms> - 0.2.0-4
- move non-install commands to setup
- fix configure .ini so that standard help path will be used

* Sun Oct 12 2008 David Timms <iinet.net.au @ dtimms> - 0.2.0-3
- don't exclude the original .desktop file

* Mon Oct 06 2008 David Timms <iinet.net.au @ dtimms> - 0.2.0-2
- mod icon names to be appname.png to fit with fallback desktop spec
- replace rakarrack with name macro
- mod .desktop via sed and cat, rather than additional Source file
- add .desktop extra categories using the desktop-file-install utils
 
* Sun Oct 05 2008 David Timms <iinet.net.au @ dtimms> - 0.2.0-1
- simplify the icon installation by looping through dimensions
- fix missing ; on category line in desktop file
- don't rename the icons since it confuses desktop-file-install
- fix spelling in description
- fix help menu contents not being displayed due to marking help files doc

* Fri Aug 01 2008 David Timms <iinet.net.au @ dtimms> - 0.2.0-0.2
- don't package the included .desktop file to solve getting two menu icons

* Sat Jul 19 2008 David Timms <iinet.net.au @ dtimms> - 0.2.0-0.1
- update to 0.2.0
- mod spec to meet Fedora packaging guidelines

* Fri May 23 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.1.2-1
- initial build.
